%global srcname zipfile2

Name:           python-%{srcname}
Version:        0.0.12
Release:        1%{?dist}
Summary:        An improved ZipFile class

License:        Python
URL:            https://github.com/cournape/zipfile2
Source0:        https://files.pythonhosted.org/packages/source/z/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel

%description
zipfile2 contains an improved ZipFile class that may be used as
a 100% backward compatible replacement.

%package -n     python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname}
zipfile2 contains an improved ZipFile class that may be used as
a 100% backward compatible replacement.


%prep
%autosetup -n %{srcname}-%{version}


%build
%{__python3} setup.py build


%install
%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%check
%{__python3} setup.py test


%files -n python3-%{srcname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/*


%changelog
* Fri Aug 23 2019 Dan Horák <dan@danny.cz> - 0.1.6
- initial Fedora version
